package com.icefaces.sample;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

//import org.apache.commons.lang.StringEscapeUtils;
//import org.apache.commons.lang.StringUtils;

@SuppressWarnings("serial")
@ViewScoped
@ManagedBean
public class TestBean implements Serializable {

	private List<DashboardQueueInfo> messageList = new ArrayList<DashboardQueueInfo>();

	public List<DashboardQueueInfo> getMessageList() {
		DashboardQueueInfo queueInfo = new DashboardQueueInfo();
		queueInfo.setQueueNumber(1);
		messageList.add(queueInfo);
		queueInfo = new DashboardQueueInfo();
		queueInfo.setQueueNumber(2);
		messageList.add(queueInfo);

		return messageList;
	}

	public String getHtml() {
		/*
		 * String ret = StringUtils .replace( StringEscapeUtils .escapeHtml(
		 * "BBB\n\n\n\n\n\nPickup Listing # 87249\n\nPUID: 30\n\nShipper #457438\n\nWSC FEDEX WORLD SERVICE CENTER\n\n6955 ENGLE RD\n\nCLEVELAND OH 44130\n\nJM\n\nPhone: 1231231234\n\nReady Time: 12:00 PM\n\nClose Time: 6:00 PM\n\n\n\n- Sent From WA: 0621, MCARTHUR 1"
		 * ), "\n", "<br/>");
		 */

		String ret = "BBB<br/><br/><br/><br/><br/><br/>Pickup Listing # 87249<br/><br/>PUID: 30<br/><br/>Shipper #457438<br/><br/>WSC FEDEX WORLD SERVICE CENTER<br/><br/>6955 ENGLE RD<br/><br/>CLEVELAND OH 44130<br/><br/>JM<br/><br/>Phone: 1231231234<br/><br/>Ready Time: 12:00 PM<br/><br/>Close Time: 6:00 PM<br/><br/><br/><br/>- Sent From WA: 0621, MCARTHUR 1";

		return ret;
	}

	public String gotoLfTest2() {
		return "lftest2";
	}

	public class DashboardQueueInfo {
		private int queueNumber;

		public int getQueueNumber() {
			return queueNumber;
		}

		public void setQueueNumber(int queueNumber) {
			this.queueNumber = queueNumber;
		}
	}
}
